From d1a2140a9455d3364e2b2d6860e4e7333ac9c6ca Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Sun, 10 Mar 2024 01:51:24 +0700
Subject: [PATCH] Fix CMakeLists.txt

---
 CMakeLists.txt | 30 ++++++------------------------
 1 file changed, 6 insertions(+), 24 deletions(-)

diff --git CMakeLists.txt CMakeLists.txt
index 1ff289b9..43f6bcea 100644
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -31,11 +31,7 @@ cmake_minimum_required(VERSION 3.18)
 
 project(lightgbm LANGUAGES C CXX)
 
-if(BUILD_CPP_TEST)
-  set(CMAKE_CXX_STANDARD 14)
-else()
-  set(CMAKE_CXX_STANDARD 11)
-endif()
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules")
@@ -111,7 +107,10 @@ if(USE_SWIG)
   endif()
 endif()
 
-set(EIGEN_DIR "${PROJECT_SOURCE_DIR}/external_libs/eigen")
+find_package(fmt REQUIRED)
+include_directories(${LIBFMT_DIR})
+
+find_package(Eigen3 REQUIRED NO_MODULE)
 include_directories(${EIGEN_DIR})
 
 # See https://gitlab.com/libeigen/eigen/-/blob/master/COPYING.README
@@ -149,24 +148,7 @@ if(USE_CUDA)
 endif()
 
 if(USE_OPENMP)
-    if(APPLE)
-        find_package(OpenMP)
-        if(NOT OpenMP_FOUND)
-            # libomp 15.0+ from brew is keg-only, so have to search in other locations.
-            # See https://github.com/Homebrew/homebrew-core/issues/112107#issuecomment-1278042927.
-            execute_process(COMMAND brew --prefix libomp
-                            OUTPUT_VARIABLE HOMEBREW_LIBOMP_PREFIX
-                            OUTPUT_STRIP_TRAILING_WHITESPACE)
-            set(OpenMP_C_FLAGS "-Xpreprocessor -fopenmp -I${HOMEBREW_LIBOMP_PREFIX}/include")
-            set(OpenMP_CXX_FLAGS "-Xpreprocessor -fopenmp -I${HOMEBREW_LIBOMP_PREFIX}/include")
-            set(OpenMP_C_LIB_NAMES omp)
-            set(OpenMP_CXX_LIB_NAMES omp)
-            set(OpenMP_omp_LIBRARY ${HOMEBREW_LIBOMP_PREFIX}/lib/libomp.dylib)
-            find_package(OpenMP REQUIRED)
-        endif()
-    else()
-        find_package(OpenMP REQUIRED)
-    endif()
+    find_package(OpenMP REQUIRED)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
 endif()
 
